Subject: Re: My 802.3ad is my bond

From: Steven Whitehouse <[email-masked]>
Date: Thu, 24 Jan 2008 10:06:34 +0000

Hi,

On Wed, 2008-01-23 at 09:13 -0800, Jay Vosburgh wrote:
> Steven Whitehouse <[email-masked]> wrote:
> [...]
> >This commit: ece95f7fefe3afae19e641e1b3f5e64b00d5b948 seems to have
> >caused a problem with parsing bond arguments as now only the numeric
> >arguments seem to work (in modprobe.conf) and specifying 802.3ad fails.
> >When I revert that patch in my local tree all seems ok.
> 
> 	Thanks for the report; I know what the problem here is.  I'll
> get a fix out.
> 
> >Also I notice that one of my two NICs now reports this:
> >
> >bonding: bond0: link status definitely down for interface eth0,
> >disabling it
> >bonding: bond0: Interface eth0 is already enslaved!
> >bond0.5: no IPv6 routers present
> >
> >which I think is also new with this set of bonding updates, before it
> >used to use both interfaces ok. I've not worked out which of the other
> >patches causes this so far, but I can if its helpful,
> 
> 	That would be helpful, as would some more details: e.g., the
> various options passed to bonding, the complete dmesg log, contents of
> /proc/net/bonding/bond0 [or whatever your interface is called], and
> anything else you think would be helpful.
> 
> 	-J
> 
I've been through all the patches now, reverting each in turn and it
seems that I still have the problem. Thats rather odd as I'm sure that I
didn't have only one interface working before. When I get a moment I'll
try and work out whats going on here,

Steve.